Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886834 - ovn-cert is mandatory in both master and node daemonsets
Summary: ovn-cert is mandatory in both master and node daemonsets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.0
Assignee: Juan Luis de Sousa-Valadas
QA Contact: Anurag saxena
URL:
Whiteboard:
: 1886842 (view as bug list)
Depends On:
Blocks: 1886855
TreeView+ depends on / blocked
 
Reported: 2020-10-09 13:51 UTC by Juan Luis de Sousa-Valadas
Modified: 2021-02-24 15:24 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:24:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 834 0 None closed Bug 1886834: Make ovn-cert secret mandatory for both master and node 2021-02-14 11:50:32 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:54 UTC

Description Juan Luis de Sousa-Valadas 2020-10-09 13:51:40 UTC
Description of problem:
ovn-kubernetes requires ovn-cert, this was accidentally set to optional.

Version-Release number of selected component (if applicable):
4.6 CI and master

How reproducible:
always

Steps to Reproduce:
N/A

Actual results:
secret mount is optional

Expected results:

secret mount is mandatory

Additional info:

Comment 2 Douglas Smith 2020-10-12 21:23:51 UTC
*** Bug 1886842 has been marked as a duplicate of this bug. ***

Comment 3 Anurag saxena 2020-10-22 13:03:17 UTC
Looks good on 4.7.0-0.nightly-2020-10-22-044506

Comment 5 Juan Luis de Sousa-Valadas 2021-01-07 14:51:01 UTC
This fixes a bug that was never released, therefore I'm not updating the docs text.

Comment 7 errata-xmlrpc 2021-02-24 15:24:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.